Package opennlp.tools.parser.treeinsert

## Class AttachContextGenerator

- java.lang.Object
- - opennlp.tools.parser.AbstractContextGenerator
  - - opennlp.tools.parser.treeinsert.AttachContextGenerator

-     public class AttachContextGenerator
      extends AbstractContextGenerator

  Generates predictive contexts for deciding how constituents should be attached.
  See Also:
    `AbstractContextGenerator`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttachContextGenerator​(Set<String> punctSet)` | Instantiates an `AttachContextGenerator` for making decisions about attachments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getContext​(Object o)` |
    `String[]` | `getContext​(Parse[] constituents, int index, List<Parse> rightFrontier, int rfi)` | Finds the predictive contextual features about an attachment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachContextGenerator

          public AttachContextGenerator​(Set<String> punctSet)

      Instantiates an `AttachContextGenerator` for making decisions about attachments.

  - ### Method Detail

    - #### getContext

          public String[] getContext​(Object o)

    - #### getContext

          public String[] getContext​(Parse[] constituents,
                                     int index,
                                     List<Parse> rightFrontier,
                                     int rfi)

      Finds the predictive contextual features about an attachment.
      Parameters:
        `constituents` - The `constituents` as they have been constructed so far.
        `index` - The constituent index of the node being attached.
        `rightFrontier` - The nodes which have been not attach to so far.
      Returns:
        A set of contextual features about this attachment.